<!DOCTYPE html>
<!--
  ~ Copyright (c) 2016 Roman Nazarenko.
  ~
  ~  This program is free software: you can redistribute it and/or modify
  ~  it under the terms of the GNU Affero General Public License as
  ~  published by the Free Software Foundation, either version 3 of
  ~  the License, or (at your option) any later version.
  ~
  ~  This program is distributed in the hope that it will be useful,
  ~  but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~  GNU General Public License for more details.
  ~
  ~  You should have received a copy of the GNU General Public License
  ~  along with this program.  If not, see <http://www.gnu.org/licenses/>.
  -->

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="j_idt5">
	<title>Roman Nazarenko: Home</title>
	<script src="http://ajax.googleapis.com/ajax/libs/jquery/2.2.0/jquery.js"></script>
	<script type="text/javascript"
			src="http://localhost:8080/home/javax.faces.resource/Semantic-UI/2.1.8/semantic.js.xhtml?ln=webjars"></script>
	<link type="text/css" rel="stylesheet"
		  href="http://localhost:8080/home/javax.faces.resource/Semantic-UI/2.1.8/semantic.css.xhtml?ln=webjars"/>
	<link type="text/css" rel="stylesheet" href="../resources/css/custom.css"/>
	<link type="text/css" rel="stylesheet" href="../resources/css/fonts_1.css"/>
	<script type="text/javascript">
		$(function () {
			$('.ui.dropdown').dropdown();
			$('.ui.accordion').accordion();
			$('#user-menu-dropdown').dropdown({
				action: 'hide',
			});
		});
	</script>
</head>
<body class="pushable">
<div class="pusher">
	<div class="ui container framed">
		<div class="ui secondary pointing menu">
			<div class="item">
				<i class="user icon"></i>
				<b>Roman Nazarenko</b>
			</div>
			<a href="/jacra/index.xhtml" class="active item">About</a>
			<a href="/jacra/index.xhtml" class="item">Projects</a>
			<a href="/jacra/index.xhtml" class="item">Blog</a>
			<div class="ui dropdown item">
				Admin
				<div class="menu">
					<a class="link item">Edit bio</a>
					<a class="link item">Edit projects</a>
					<a class="link item">Edit blog</a>
				</div>
			</div>
			<div class="right menu">
				<div class="ui category search item">
					<div class="ui transparent icon input">
						<input class="prompt" placeholder="Search..." type="text"/>
						<i class="search icon"></i>
					</div>
					<div class="results"></div>
				</div>
				<div id="user-menu-dropdown" class="ui dropdown item">
					<span class="text">Jtalk</span>
					<i class="user icon"></i>
					<div class="menu">
						<a class="item">Profile</a>
						<a class="item">Preferences</a>
						<div class="divider"></div>
						<a class="item">Logout</a>
					</div>
				</div>
			</div>
		</div>
		<div class="ui tabular menu">
			<a class="active item">JAcra</a>
			<a class="item">SocketConnector</a>
			<a class="item"><i class="plus icon"></i></a>
			<div class="ui right tabular menu">
				<a class="item">A</a>
				<a class="item">B</a>
			</div>
		</div>
		<div class="ui centered two columns grid">
			<div class="ui thirteen wide column">
				<div class="ui raised segment">
					<h2>Edit project</h2>
					<form class="ui form">
						<div class="ui divider"></div>
						<div class="ui centered two rows fluid stackable grid">
							<div class="ui two columns row">
								<div class="ui eleven wide column">
									<div class="field">
										<label>Project name</label>
										<input type="text" placeholder="Name"/>
									</div>
									<div class="field">
										<label>Project internal name</label>
										<input type="text" placeholder="(letters, digits, dashes)"/>
									</div>
									<div class="field">
										<div class="ui right floated icon button" onclick="$('#addLinkModalId').modal('show')">
											<i class="plus icon"></i>
										</div>
										<label>Project links</label>
										Edit and rearrange links shown at the left panel
										<div class="ui ordered middle aligned celled list">
											<div class="item">
												<div class="right floated content">
													<i class="edit icon"></i>
													<i class="remove icon"></i>
													<i class="angle up icon"></i>
													<i class="angle down icon"></i>
												</div>
												<div class="content">
													<div class="header">Downloads</div>
													<div class="description">
														<a href="http://example.org/download">
															http://example.org/downloads/so/we/use/this/large/link/to/show/layout/adjustment
														</a>
													</div>
												</div>
											</div>
											<div class="item">
												<div class="right floated content">
													<i class="edit icon"></i>
													<i class="remove icon"></i>
													<i class="angle up icon"></i>
													<i class="angle down icon"></i>
												</div>
												<div class="content">
													<div class="header">Source</div>
													<div class="description">
														<a href="http://example.org/source">
															http://example.org/source
														</a>
													</div>
												</div>
											</div>
											<div class="item">
												<div class="right floated content">
													<i class="edit icon"></i>
													<i class="remove icon"></i>
													<i class="angle up icon"></i>
													<i class="angle down icon"></i>
												</div>
												<div class="content">
													<div class="header">Wiki</div>
													<div class="description">
														<a href="http://example.org/wiki">
															http://example.org/wiki
														</a>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
								<div class="ui five wide column">
									<div class="field">
										<label>Logo</label>
										<div class="image">
											<img src="../resources/images/avatar.png"/>
										</div>
										<input type="file" placeholder="Photo"/>
									</div>
									<div class="ui primary button">Save</div>
									<div class="ui secondary button">Cancel</div>
								</div>
							</div>
							<div class="ui one columns row">
								<div class="ui sixteen wide column">
									<div class="field">
										<textarea name="Description" rows="50"># Project description #</textarea>
									</div>
								</div>
							</div>
						</div>
					</form>
				</div>
			</div>
		</div>
	</div>

	<div id="addLinkModalId" class="ui small modal">
		<i class="close icon"></i>
		<div class="header">Add link</div>
		<div class="content">
			<form class="ui form">
				<div class="field">
					<label>Site title</label>
					<input type="text" placeholder="Title"/>
				</div>
				<div class="field">
					<label>Site URL</label>
					<input type="text" placeholder="URL"/>
				</div>
				<button class="ui positive button">Save</button>
				<button class="ui deny button" onclick="$('#addLinkModalId').modal('hide')">Cancel</button>
			</form>
		</div>
	</div>

	<p/>
	<p/>

	<footer class="ui inverted basic segment container">
		<div class="ui center aligned container">
			<div class="ui inverted section divider"/>
			<div class="ui horizontal inverted small divided">
				Copyright (C) 2016
				<a href="https://jtalk.me" class="ui author-link">
					Roman Nazarenko
				</a>
			</div>
		</div>
	</footer>
</div>
</body>
</html>